Page MenuHomePhabricator

Update mw-config to use the psi&omega elastic clusters
Closed, ResolvedPublic

Description

psi and omega are ready in codfw&eqiad. Next step is testing how CirrusSearch behaves with the multi-instance config in place and enable it.

Details

Related Gerrit Patches:
operations/mediawiki-config : master[cirrus] Cleanup transitional states
operations/mediawiki-config : master[cirrus] Enable CirrusSearchCrossClusterSearch
operations/mediawiki-config : master[cirrus] Start using replica group settings (take 2)
operations/mediawiki-config : master[cirrus] Start using replica group settings
operations/mediawiki-config : master[cirrus] Start writing to psi & omega (take 2)
operations/mediawiki-config : master[cirrus] Add cirrussearch-big-indices tag
operations/mediawiki-config : master[cirrus] Start writing to psi & omega
operations/mediawiki-config : master[cirrus] fix cluster settings for temp clusters psi&omega
operations/mediawiki-config : master[cirrus] fix temp clusters for codfw
operations/mediawiki-config : master[cirrus] Add temp clusters but still write to the old ones
operations/mediawiki-config : master[cirrus] prepare multi-instance services
operations/mediawiki-config : master[cirrus] switch to explicit config in production services
operations/mediawiki-config : master[cirrus] Allow configuration arrays in production services
operations/mediawiki-config : master[cirrus] multi-instance: add cirrussearch-big-indices.dblist
operations/mediawiki-config : master[cirrus] Start using psi&omega in eqiad
operations/mediawiki-config : master[cirrus] Start using psi&omega in codfw

Event Timeline

dcausse renamed this task from Update mw-config to use the psy&omega elastic clusters in codfw to Update mw-config to use the psi&omega elastic clusters in codfw .Nov 26 2018, 10:16 AM
dcausse triaged this task as Medium priority.
dcausse created this task.
dcausse updated the task description. (Show Details)

Change 475746 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] multi-instance: add cirrussearch-big-indices.dblist

https://gerrit.wikimedia.org/r/475746

Change 475747 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Allow configuration arrays in production services

https://gerrit.wikimedia.org/r/475747

Change 475748 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] switch to explicit config in production services

https://gerrit.wikimedia.org/r/475748

Change 475749 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] prepare multi-instance services

https://gerrit.wikimedia.org/r/475749

Change 475750 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Start using cirrus multi-instance config

https://gerrit.wikimedia.org/r/475750

Change 475751 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Start using psi&omega in codfw

https://gerrit.wikimedia.org/r/475751

Change 475752 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Start using psi&omega in eqiad

https://gerrit.wikimedia.org/r/475752

Change 475751 abandoned by DCausse:
[cirrus] Start using psi&omega in codfw

https://gerrit.wikimedia.org/r/475751

Change 475752 abandoned by DCausse:
[cirrus] Start using psi&omega in eqiad

https://gerrit.wikimedia.org/r/475752

Change 476271 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Start writing to psi & omega

https://gerrit.wikimedia.org/r/476271

Change 476272 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Start using replica group settings

https://gerrit.wikimedia.org/r/476272

Change 476273 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Cleanup transitional states

https://gerrit.wikimedia.org/r/476273

Mentioned in SAL (#wikimedia-operations) [2018-11-29T12:09:54Z] <dcausse@deploy1001> Synchronized wmf-config/CirrusSearch-production.php: T210381: [cirrus] Use normal config for labswiki (duration: 00m 55s)

Change 475746 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] multi-instance: add cirrussearch-big-indices.dblist

https://gerrit.wikimedia.org/r/475746

Mentioned in SAL (#wikimedia-operations) [2018-11-29T12:13:45Z] <dcausse@deploy1001> Synchronized dblists/cirrussearch-big-indices.dblist: T210381: [cirrus] multi-instance: add cirrussearch-big-indices.dblist (duration: 00m 53s)

Change 475747 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Allow configuration arrays in production services

https://gerrit.wikimedia.org/r/475747

Mentioned in SAL (#wikimedia-operations) [2018-12-03T19:08:08Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: SWAT T210381 I2ae162f5 Part I (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-12-03T19:09:14Z] <jforrester@deploy1001> Synchronized wmf-config/CirrusSearch-production.php: SWAT T210381 I2ae162f5 Part II (duration: 00m 47s)

Change 475748 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] switch to explicit config in production services

https://gerrit.wikimedia.org/r/475748

Mentioned in SAL (#wikimedia-operations) [2018-12-03T19:15:36Z] <jforrester@deploy1001> Synchronized wmf-config/ProductionServices.php: SWAT T210381 I73c7596818b Actual config (duration: 00m 46s)

Change 475749 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] prepare multi-instance services

https://gerrit.wikimedia.org/r/475749

Mentioned in SAL (#wikimedia-operations) [2018-12-05T00:28:57Z] <dcausse@deploy1001> Synchronized wmf-config/ProductionServices.php: [cirrus] prepare multi-instance services (T210381) (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-12-05T00:30:10Z] <dcausse@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [cirrus] prepare multi-instance services (T210381) (duration: 00m 46s)

dcausse renamed this task from Update mw-config to use the psi&omega elastic clusters in codfw to Update mw-config to use the psi&omega elastic clusters.Dec 5 2018, 9:50 AM
dcausse updated the task description. (Show Details)

Change 475750 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Add temp clusters but still write to the old ones

https://gerrit.wikimedia.org/r/475750

Mentioned in SAL (#wikimedia-operations) [2018-12-05T12:42:47Z] <dcausse@deploy1001> Synchronized wmf-config/CommonSettings.php: T210381: [cirrus] Add temp clusters but still write to the old ones 1/2 (duration: 00m 46s)

Mentioned in SAL (#wikimedia-operations) [2018-12-05T12:44:47Z] <dcausse@deploy1001> Synchronized wmf-config/CirrusSearch-production.php: T210381: [cirrus] Add temp clusters but still write to the old ones 2/2 (duration: 00m 46s)

Change 479180 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] fix temp clusters for codfw

https://gerrit.wikimedia.org/r/479180

Change 479180 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] fix temp clusters for codfw

https://gerrit.wikimedia.org/r/479180

Mentioned in SAL (#wikimedia-operations) [2018-12-13T00:13:18Z] <dcausse@deploy1001> Synchronized wmf-config/CirrusSearch-production.php: T210381: [cirrus] fix temp clusters for codfw (duration: 00m 52s)

Change 479432 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] fix cluster settings for temp clusters psi&omega

https://gerrit.wikimedia.org/r/479432

Change 479432 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] fix cluster settings for temp clusters psi&omega

https://gerrit.wikimedia.org/r/479432

Mentioned in SAL (#wikimedia-operations) [2018-12-13T19:44:51Z] <dcausse@deploy1001> Synchronized wmf-config/CirrusSearch-production.php: T210381: [cirrus] fix cluster settings for temp clusters psi&omega (duration: 00m 44s)

Mentioned in SAL (#wikimedia-operations) [2019-01-14T14:18:46Z] <dcausse> elasticsearch (search cluster): pre-populating omega & psi clusters in eqiad & codfw (from mwmaint1002 and mwmaint2001 respectively) (T210381)

Change 476271 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Start writing to psi & omega

https://gerrit.wikimedia.org/r/476271

Change 484387 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Add cirrussearch-big-indices tag

https://gerrit.wikimedia.org/r/484387

Change 484388 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Start writing to psi & omega (take 2)

https://gerrit.wikimedia.org/r/484388

Change 484387 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Add cirrussearch-big-indices tag

https://gerrit.wikimedia.org/r/484387

Mentioned in SAL (#wikimedia-operations) [2019-01-15T12:09:08Z] <dcausse@deploy1001> Synchronized wmf-config/CommonSettings.php: [cirrus] Add cirrussearch-big-indices tag T210381 (duration: 00m 46s)

Change 484388 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Start writing to psi & omega (take 2)

https://gerrit.wikimedia.org/r/484388

Mentioned in SAL (#wikimedia-operations) [2019-01-15T12:33:15Z] <dcausse@deploy1001> Synchronized wmf-config/CirrusSearch-production.php: T210381: [cirrus] Start writing to psi & omega (take 2) (1/2) (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2019-01-15T12:36:33Z] <dcausse@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T210381: [cirrus] Start writing to psi & omega (take 2) (2/2) (duration: 00m 45s)

Mentioned in SAL (#wikimedia-operations) [2019-01-15T15:53:12Z] <dcausse> T210381: elastic search clusters, catching up updates since first import on new psi&omega clusters in eqiad&codfw (from mwmaint1002)

Mentioned in SAL (#wikimedia-operations) [2019-01-16T09:10:39Z] <dcausse> T210381: elasticsearch search cluster, creating completion suggester indices on psi&omega elastic instances in eqiad&codfw

Change 476272 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Start using replica group settings

https://gerrit.wikimedia.org/r/476272

Change 484693 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Start using replica group settings (take 2)

https://gerrit.wikimedia.org/r/484693

Change 484693 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Start using replica group settings (take 2)

https://gerrit.wikimedia.org/r/484693

Mentioned in SAL (#wikimedia-operations) [2019-01-16T17:35:13Z] <dcausse@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [cirrus] Start using replica group settings (take 2) (T210381) (duration: 00m 51s)

Mentioned in SAL (#wikimedia-operations) [2019-01-16T17:36:53Z] <dcausse@deploy1001> Synchronized wmf-config/CirrusSearch-production.php: [cirrus] Start using replica group settings (take 2) (T210381) (duration: 00m 51s)

Change 484720 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Enable CirrusSearchCrossClusterSearch

https://gerrit.wikimedia.org/r/484720

Change 484720 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Enable CirrusSearchCrossClusterSearch

https://gerrit.wikimedia.org/r/484720

Mentioned in SAL (#wikimedia-operations) [2019-01-17T12:53:41Z] <dcausse@deploy1001> Synchronized wmf-config/CirrusSearch-production.php: T210381: [cirrus] Enable CirrusSearchCrossClusterSearch (duration: 00m 51s)

Change 476273 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Cleanup transitional states

https://gerrit.wikimedia.org/r/476273

Change 476273 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Cleanup transitional states

https://gerrit.wikimedia.org/r/476273

Mentioned in SAL (#wikimedia-operations) [2019-04-01T18:33:41Z] <dcausse@deploy1001> Synchronized wmf-config/CirrusSearch-production.php: T210381: [cirrus] Cleanup transitional states (duration: 00m 53s)

debt closed this task as Resolved.Apr 5 2019, 10:34 PM